.teaser-bg {
 // background: url(../../images/reamis-teaser.jpg) no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  min-height: 100vh;
  width: 100%;
}

.teaser-form-holder {
  min-width: 30rem;
  background-color: #fff;
  min-height: 25rem;
}

.teaser-form-header img {
  min-width: 25%;
}

.teaser-form-content {
  padding: 8px 10%;
}

.teaser-form-content .teaser-header {
  text-align: center;
}

.teaser-form-content .teaser-header h2,
.teaser-form-content .teaser-header p {
  margin: 0 0 5px;
}

.teaser-form-content .teaser-main-form {
  margin-top: 24px;
}

.teaser-form-content .teaser-main-form .username,
.teaser-form-content .teaser-main-form .password {
  color: gray;
  margin-right: 8px;
  text-align: right;
  position: absolute;
  left: 0;
  top: 40%;
  transform: translateY(-50%);
}

.teaser-form-content .teaser-main-form .input-holder {
  margin-bottom: 16px;
  position: relative;
}

.teaser-submit-btn {
  float: right;
  margin-right: 0;
}
/*.md-input STYLES */
/* form starting stylings ------------------------------- */

.group {
  position: relative;
  margin-bottom: 16px;
}

input {
  font-size: 18px;
  background: transparent;
  padding: 10px 10px 10px 40px;
  display: block;
  width: 100%;
  max-width: 100%;
  border: none;
  border-bottom: 1px solid #757575;
  box-sizing: border-box;
}

input:focus {
  outline: none;
}
/* LABEL ======================================= */

label {
  color: #999;
  font-size: 18px;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  top: 10px;
  left: 40px;
  transition: 0.2s ease all;
  -moz-transition: 0.2s ease all;
  -webkit-transition: 0.2s ease all;
}
/* active state */

input:focus ~ label,
input:valid ~ label {
  top: -20px;
  font-size: 14px;
  color: #009688;
}
/* BOTTOM BARS ================================= */

.bar {
  position: relative;
  display: block;
  width: 100%;
}

.bar:before,
.bar:after {
  content: '';
  height: 2px;
  width: 0;
  bottom: 0;
  position: absolute;
  background: #009688;
  transition: 0.2s ease all;
  -moz-transition: 0.2s ease all;
  -webkit-transition: 0.2s ease all;
}

.bar:before {
  left: 50%;
}

.bar:after {
  right: 50%;
}
/* active state */

input:focus ~ .bar:before,
input:focus ~ .bar:after {
  width: 50%;
}
/* HIGHLIGHTER ================================== */

.highlight {
  position: absolute;
  height: 60%;
  width: 100px;
  top: 25%;
  left: 0;
  pointer-events: none;
  opacity: 0.5;
}
/* active state */

input:focus ~ .highlight {
  -webkit-animation: inputHighlighter 0.3s ease;
  -moz-animation: inputHighlighter 0.3s ease;
  animation: inputHighlighter 0.3s ease;
}
/* ANIMATIONS ================ */

@-webkit-keyframes inputHighlighter {
  from {
    background: #009688;
  }
  to {
    width: 0;
    background: transparent;
  }
}

@-moz-keyframes inputHighlighter {
  from {
    background: #009688;
    to {
      width: 0;
      background: transparent;
    }
  }
}

@keyframes inputHighlighter {
  from {
    background: #009688;
  }
  to {
    width: 0;
    background: transparent;
  }
}
